#!/usr/bin/env python
# Written in 2021 by Magnus Bergman <magnus@snisurset.net>
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide.
#
# This software is distributed without any warranty.
#
# See: http://creativecommons.org/publicdomain/zero/1.0/
from os import path
from sys import argv

with open(argv[2],'w') as fout:
    with open(argv[1]) as fin:
        b = ''
        for line in fin.readlines():
            s = line.strip()
            if len(s) > 0 and s[0] != '#':
                b += line;
        fout.write('static const char '+path.basename(argv[1]).replace('.','_').replace('-','_')+'[] = {')
        for i,c in enumerate(b):
            if i > 0:
                fout.write(',');
            if i%16 == 0:
                fout.write('\n')
            fout.write(hex(ord(c)))
        fout.write('};\n')
